#
# spec file for package python-sphinx-feature-classification
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinx-feature-classification
Version:        0.1.0
Release:        lp150.1.1
Summary:        Generate a matrix of pluggable drivers and their support to an API in Sphinx
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.openstack.org/
Source:         https://files.pythonhosted.org/packages/source/s/sphinx-feature-classification/sphinx-feature-classification-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pbr >= 2.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-docutils >= 0.11
Requires:       python-pbr >= 2.0
BuildArch:      noarch

%python_subpackages

%description
Generate in sphinx a matrix of pluggable drivers and their support to an API.

%prep
%setup -q -n sphinx-feature-classification-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc AUTHORS ChangeLog LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu Mar 29 2018 tbechtold@suse.com
- Initial packaging (version 0.1.0)
